Currie vs GHA RFC · Schotse Premiership
Schotse Premiership · 2025-26Afgelopen

61–43

Wedstrijdverslag
Currie versloeg GHA RFC met 61-43 in Currie (Malleny Park) op zaterdag 18 oktober 2025 (Schotse Premiership, speelronde 8).
GHA RFC verloor nu drie keer op rij.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
5
Currie gewonnen (71%)
0
Gelijk (0%)
2
GHA RFC gewonnen (29%)
Laatste 7 onderlinge duels, sinds september 2021
Grootste zege Currie
45–0
18 sep 2021
Grootste zege GHA RFC
29–24
31 okt 2026
Laatste 5 duels
- 31 okt 2026 · Schotse PremiershipCurrie24GHA RFC2931 okt 2026Currie24–29GHA RFCSchotse Premiership
- 31 jan 2026 · Schotse PremiershipGHA RFC29Currie2431 jan 2026GHA RFC29–24CurrieSchotse Premiership
- 18 okt 2025 · Schotse PremiershipCurrie61GHA RFC4318 okt 2025Currie61–43GHA RFCSchotse Premiership
- 28 jan 2023 · Schotse PremiershipGHA RFC22Currie3528 jan 2023GHA RFC22–35CurrieSchotse Premiership
- 24 sep 2022 · Schotse PremiershipCurrie43GHA RFC4024 sep 2022Currie43–40GHA RFCSchotse Premiership